Page MenuHomePhabricator

[betalabs-regression] monobook: cannot de-select a selected filter
Closed, ResolvedPublic

Description

  1. In betalabs log in and switch to monobook skin.
  2. On RC page, click in the 'Active filter' area and click (set a check mark in the box) for a filter(s).

The selected filter will become selected and appears in the 'Active filters' area.

  1. Try to de-select the filter - the checkmark from the box cannot be cleared.

The screenshot shows the active state of the checkmark when a filter is selected (a separate issue with checkmark for highlighting was filed T165444: [betalabs-regression] monobook: Highlight button displays checkmark)

This screenshot shows inactive state of the previously selected filter - the filter was de-selected. The active filter area is cleared, but the checkmark is still present.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2017, 11:42 PM

Change 355528 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] Add Android and iOS reading lists user surveys

https://gerrit.wikimedia.org/r/355528

Mholloway added a subscriber: Mholloway.

^Sorry, Phab tagging error.

Change 355910 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Dismiss Apex' insistence to add checkmark to optionWidgets

https://gerrit.wikimedia.org/r/355910

Change 355910 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Dismiss Apex' insistence to add checkmark to optionWidgets

https://gerrit.wikimedia.org/r/355910

Change 356015 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters UI: Make monobook override of the 'checkmark' more specific

https://gerrit.wikimedia.org/r/356015

Mooeypoo added a comment.EditedMay 29 2017, 8:28 AM

Please see the explanation in the related bug T165444: [betalabs-regression] monobook: Highlight button displays checkmark - the current fix will correct the behavior in this task but will still have another bug for the highlight menu until OOJS-UI is fixed + deployed (there's a commit pending review/merge)

Change 356015 merged by jenkins-bot:
[mediawiki/core@master] RCFilters UI: Make monobook override of the 'checkmark' more specific

https://gerrit.wikimedia.org/r/356015

Etonkovidova added a comment.EditedJun 6 2017, 7:05 AM

The issue "cannot de-select a selected filter" has been fixed (checked in betalabs). It seems to be fixed with along with the display issues for highlighting checkmark T164550: [wmf.21] RC filters - Monobook UI issues with highlights and T165444: [betalabs-regression] monobook: Highlight button displays checkmark.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Jun 15 2017, 11:27 PM